from django import forms
from .models import User, Key, ItemsThisWeek, ItemsToday


class HomeForm(forms.Form):
    name = forms.CharField(label='', max_length=100)


class UserForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ['profile_photo']


class NicknameForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ['nickname']


class BioForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ['bio']


class KeyForm(forms.ModelForm):
    class Meta:
        model = Key
        fields = '__all__'


class ItemsThisWeekForm(forms.ModelForm):
    class Meta:
        model = ItemsThisWeek
        fields = '__all__'
        exclude = ('is_task',)


class ItemsTodayForm(forms.ModelForm):
    class Meta:
        model = ItemsToday
        fields = '__all__'
        exclude = ('is_task',)
